## ros-one-pr2-controller-configuration 1.6.32-21jammy.20251023.1523

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
if(POLICY CMP0048)
  cmake_policy(SET CMP0048 NEW)
endif()
project(pr2_controller_configuration)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)

catkin_package()

install(FILES
   pr2_arm_controllers.yaml
   pr2_base_controller2.yaml
   pr2_base_controller.yaml
   pr2_calibration_controllers.yaml
   pr2_gripper_controllers.yaml
   pr2_head_controller.yaml
   pr2_joint_effort_controllers.yaml
   pr2_joint_position_controllers.yaml
   pr2_joint_velocity_controllers.yaml
   pr2_laser_tilt_controller.yaml
   pr2_odometry.yaml
   pr2_torso_controller.yaml
   pr2_default_controllers.launch
   pr2_jt_controllers.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})


if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(pr2_default_controllers.launch)
  #roslaunch_add_file_check(pr2_jt_controllers.launch)
endif()

=== debian/changelog ===
ros-one-pr2-controller-configuration (1.6.32-21jammy.20251023.1523) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 23 Oct 2025 15:23:43 +0000

ros-one-pr2-controller-configuration (1.6.32-0jammy) jammy; urgency=high

  * add pr2_joint_group_velocity_controllers.yaml
    add JointGroupVelocityController in pr2_controllers (see https://github.com/PR2/pr2_controllers/pull/400)
  * Contributors: Shuang Li

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 26 May 2021 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.31-0jammy) jammy; urgency=high

  * fixed integer cast to void* warning in pr2_ethercat; fixed broken launchtest for now
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Apr 2020 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.30-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 23 Apr 2018 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.29-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.28-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.27-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.26-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.25-0jammy) jammy; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.7-0jammy) jammy; urgency=high

  * Updated mainpage.dox
  * Corrected typo in description of pr2 effort controllers.
  * Contributors: Georg Bartels, TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 00:00:00 -0000

=== debian/control ===
Source: ros-one-pr2-controller-configuration
Section: misc
Priority: optional
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-roslaunch
Homepage: http://ros.org/wiki/pr2_controller_configuration
Standards-Version: 3.9.2

Package: ros-one-pr2-controller-configuration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-pr2-controller-manager, ros-one-pr2-gripper-action, ros-one-pr2-head-action, ros-one-pr2-machine, ros-one-robot-mechanism-controllers, ros-one-single-joint-position-action
Description: Configuration files for PR2 controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pr2-controller-configuration//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pr2-controller-configuration 1.6.32-21jammy.20260222.0115

=== debian/changelog ===
ros-one-pr2-controller-configuration (1.6.32-21jammy.20260222.0115) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Feb 2026 01:15:23 +0000

## ros-one-pr2-controller-configuration 1.6.32-21noble.20251023.1559

=== debian/changelog ===
ros-one-pr2-controller-configuration (1.6.32-21noble.20251023.1559) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 23 Oct 2025 15:59:05 +0000

ros-one-pr2-controller-configuration (1.6.32-0noble) noble; urgency=high

  * add pr2_joint_group_velocity_controllers.yaml
    add JointGroupVelocityController in pr2_controllers (see https://github.com/PR2/pr2_controllers/pull/400)
  * Contributors: Shuang Li

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 26 May 2021 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.31-0noble) noble; urgency=high

  * fixed integer cast to void* warning in pr2_ethercat; fixed broken launchtest for now
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Apr 2020 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.30-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 23 Apr 2018 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.29-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.28-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.27-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.26-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.25-0noble) noble; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-controller-configuration (1.6.7-0noble) noble; urgency=high

  * Updated mainpage.dox
  * Corrected typo in description of pr2 effort controllers.
  * Contributors: Georg Bartels, TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 00:00:00 -0000

## ros-one-pr2-controller-configuration 1.6.32-21noble.20260222.2142

=== debian/changelog ===
ros-one-pr2-controller-configuration (1.6.32-21noble.20260222.2142) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Feb 2026 21:42:26 +0000
